Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 159790 - ptrace changes to registers during ia32 syscall tracing stop are lost
Summary: ptrace changes to registers during ia32 syscall tracing stop are lost
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel
Version: 3.0
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Roland McGrath
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks: 156320
TreeView+ depends on / blocked
 
Reported: 2005-06-07 23:54 UTC by Roland McGrath
Modified: 2007-11-30 22:07 UTC (History)
3 users (show)

Fixed In Version: RHSA-2005-663
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-09-28 15:16:54 UTC


Attachments (Terms of Use)
RHEL3 kernel patch fixing this bug (deleted)
2005-06-07 23:54 UTC, Roland McGrath
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:663 qe-ready SHIPPED_LIVE Important: Updated kernel packages available for Red Hat Enterprise Linux 3 Update 6 2005-09-28 04:00:00 UTC

Description Roland McGrath 2005-06-07 23:54:23 UTC
When an ia32 process is stopped for syscall tracing, ptrace can be used to
modify its registers and that should change the register arguments seen by the
system call.  strace relies on this facility.

In the RHEL3 kernel, changes to registers that aren't used for 64-bit arguments
are lost.

Comment 1 Roland McGrath 2005-06-07 23:54:23 UTC
Created attachment 115202 [details]
RHEL3 kernel patch fixing this bug

Comment 2 Ernie Petrides 2005-06-09 00:12:53 UTC
Patch posted for internal review on 7-Jun-2005.

Comment 4 Ernie Petrides 2005-06-15 01:01:32 UTC
A fix for this problem has just been committed to the RHEL3 U6
patch pool this evening (in kernel version 2.4.21-32.8.EL).


Comment 11 Red Hat Bugzilla 2005-09-28 15:16:54 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-663.html



Note You need to log in before you can comment on or make changes to this bug.